Summary: Reference encoder and encoding library for MPEG2/4 AAC
Name: faac
Version: 1.26
Release: 1
License: LGPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/
Source: http://dl.sf.net/faac/faac-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libmp4v2-devel
BuildRequires: autoconf >= 2.50, automake, libtool, tofrodos
Requires: libmp4v2

%description
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.


%package devel
Summary: Development libraries of the FAAC AAC encoder
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libmp4v2-devel

%description devel
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

This package contains development files and documentation for libfaac.


%prep
%setup -n %{name}
%patch0
#%patch0 -p1 -b .libmp4v2
# Don't ask...
find . -type f -exec fromdos {} \;
find . -type f -exec chmod 644 {} \;
find . -type d -exec chmod 755 {} \;


%build
sh bootstrap
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --with-mp4v2
%{__make} %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,0755)
%doc ChangeLog COPYING README TODO
%{_bindir}/*
%{_libdir}/*.a

%files devel
%defattr(-,root,system,0755)
%{_includedir}/*.h
%{_libdir}/*.la


%changelog
* Wed Jan 30 2008 Michael Perzl <michael@perzl.org> - 1.26-1
- first version for AIX V5.1 and higher
